PieceStandPredicate Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | List of all members
PieceStandPredicate Class Reference
Inheritance diagram for PieceStandPredicate:
[legend]
Collaboration diagram for PieceStandPredicate:
[legend]

## Public Member Functions
| PieceStandPredicate (const std::vector< std::string > &filenames)
bool | match (const osl::state::NumEffectState &state) const
bool | isLoaded () const
Public Member Functions inherited from StatePredicate
| StatePredicate (const std::vector< std::string > &filenames)
virtual | ~StatePredicate ()

## Private Member Functions
bool | match (const osl::state::NumEffectState &state, osl::Player player) const

## Detailed Description

Definition at line 60 of file find-states.cc.

## Constructor & Destructor Documentation

PieceStandPredicate::PieceStandPredicate | ( | const std::vector< std::string > & | filenames) |  |
| inline

Definition at line 73 of file find-states.cc.

## Member Function Documentation

bool PieceStandPredicate::isLoaded | ( | ) |  | const
| inlinevirtual

Reimplemented from StatePredicate.

Definition at line 79 of file find-states.cc.

bool PieceStandPredicate::match | ( | const osl::state::NumEffectState & | state,
|  | osl::Player | player
| ) |  | const
| inlineprivate

Definition at line 63 of file find-states.cc.

References osl::BISHOP, osl::state::SimpleState::countPiecesOnStand(), osl::GOLD, osl::KNIGHT, osl::LANCE, osl::ROOK, and osl::SILVER.

Referenced by match().

bool PieceStandPredicate::match | ( | const osl::state::NumEffectState & | state) |  | const
| inlinevirtual

Reimplemented from StatePredicate.

Definition at line 75 of file find-states.cc.

References osl::BLACK, match(), and osl::WHITE.

The documentation for this class was generated from the following file:

- find-states.cc